--[[
###############
Inked: keivamp#
###############
]]--
local Inked = LibStub("AceAddon-3.0"):GetAddon("Inked")
local LSM = LibStub("LibSharedMedia-3.0")
local playerColor = RAID_CLASS_COLORS[select(2, UnitClass('player'))]
local InkedColors = {r = playerColor.r*0.75, g = playerColor.g*0.75,b = playerColor.b*0.75,a = 1}

local addon = CreateFrame("Frame")
local epoch = 0

local LOOT_DELAY = 0.3

addon:RegisterEvent("LOOT_READY")

addon:SetScript("OnEvent", function ()
	if Inked.db.profile.FasterLooting == false then return end	
	if GetCVarBool("autoLootDefault") ~= IsModifiedClick("AUTOLOOTTOGGLE") then
		if (GetTime() - epoch) >= LOOT_DELAY then
			for i = GetNumLootItems(), 1, -1 do
				LootSlot(i)
			end
			epoch = GetTime()
		end
	end
end)

local InkedLoginFrame=CreateFrame("Frame")
		InkedLoginFrame:RegisterEvent("PLAYER_LOGIN")
		InkedLoginFrame:RegisterEvent("CINEMATIC_STOP")
		InkedLoginFrame:SetScript("OnEvent", function(self, event) 
		if Inked.db.profile.FasterLooting == false then return end											
		end)